<html>

<head>
    <title> Hello </title>
</head>

<body>
    <script>
        console.log("hello JS");
        var printMsg = function (msg) {
            console.log(msg);
        }
        var count = 30;
        var caller = "B1";
        /*var timer = function () {
            setTimeout(function () {
                var j = printMsg(caller + " " + count + " seconds are over.");
                if (count == 0) {
                    //do something
                } else {
                    count--;
                    timer();
                }
            }, 1000);
        }*/




        var secondCounter = function (caller, count) {
            for (var i = 0; i < count; i++) {
                store(i);
            }
        }

        function store(i) {
            setTimeout(function () {
                printMsg(i + " seconds are over.")
            }, 1000 * i);
        }
    </script>
    <form>
        <input type="text"
               placeholder="Name"> <br /><br />
        <input type="text"
               placeholder="Email"> <br /><br />
        <input type="button"
               value="Submit"> <br /><br />
        <input type="button"
               onclick="secondCounter('B1',10)"
               value="B1"> <br /><br />
        <input type="button"
               onclick="secondCounter('B2',30)"
               value="B2"> <br />
    </form>

</body>

</html>